"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

require("jest-styled-components");

var _Anchor = _interopRequireWildcard(require("../Anchor"));

describe('Anchor Component', function () {
  var anchor;
  test('should render correctly and match snapshot', function () {
    anchor = (0, _enzyme.shallow)(_react.default.createElement(_Anchor.default, {
      to: "/sample"
    }, "Sample"));
    expect(anchor).toMatchSnapshot();
  });
  test('Should handle on typeahead focuson Events', function () {
    var props = {
      noLink: true,
      to: '/sample',
      handleLinkClick: jest.fn()
    };
    var event = {
      preventDefault: jest.fn()
    };
    anchor = (0, _enzyme.shallow)(_react.default.createElement(_Anchor.AnchorVanilla, props, "Sample"));
    anchor.find('a').simulate('click', event);
    expect(props.handleLinkClick).toHaveBeenCalled();
  });
});