"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Button = require("../Button");

describe('Button Component', function () {
  var button = '';
  beforeEach(function () {
    button = (0, _enzyme.shallow)(_react.default.createElement(_Button.ButtonVanilla, null, "Submit"));
  });
  test('should render correctly', function () {
    expect(button).toMatchSnapshot();
  });
  test('should render disabled', function () {
    button = (0, _enzyme.shallow)(_react.default.createElement(_Button.ButtonVanilla, {
      disabled: true
    }, "Submit"));
    expect(button.find({
      disabled: true
    })).toHaveLength(1);
  });
  test('should render title element', function () {
    button = (0, _enzyme.shallow)(_react.default.createElement(_Button.ButtonVanilla, {
      title: "tooltip"
    }, "Submit"));
    expect(button.find({
      title: 'tooltip'
    })).toHaveLength(1);
  });
  test('should render aria attribute element', function () {
    var ariaLabel = 'Custom Aria Label';
    button = (0, _enzyme.shallow)(_react.default.createElement(_Button.ButtonVanilla, {
      ariaLabel: ariaLabel
    }, "Button"));
    expect(button.find({
      'aria-label': 'Custom Aria Label'
    })).toHaveLength(1);
  });
});