"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ImageVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Image = _interopRequireDefault(require("./Image.style"));

var Image = function Image(_ref) {
  var className = _ref.className,
      src = _ref.src,
      srcset = _ref.srcset,
      sizes = _ref.sizes,
      placeholderSrc = _ref.placeholderSrc,
      alt = _ref.alt,
      inheritedStyles = _ref.inheritedStyles,
      ref = _ref.ref,
      other = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["className", "src", "srcset", "sizes", "placeholderSrc", "alt", "inheritedStyles", "ref"]);
  return _react.default.createElement("img", (0, _extends2.default)({
    className: className,
    src: src,
    srcSet: srcset || null,
    sizes: sizes || null,
    alt: alt,
    ref: ref
  }, other, {
    onError: placeholderSrc ? function (event) {
      // eslint-disable-next-line no-param-reassign
      event.target.src = placeholderSrc;
    } : null
  }));
};

exports.ImageVanilla = Image;
Image.defaultProps = {
  srcset: '',
  sizes: '',
  placeholderSrc: '',
  inheritedStyles: ''
};

var _default = (0, _styledComponents.default)(Image).withConfig({
  displayName: "Image",
  componentId: "sc-1m0q2wx-0"
})(["", ";"], _Image.default);

exports.default = _default;