"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.InputVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Input = _interopRequireDefault(require("./Input.style"));

var Input = function Input(_ref) {
  var id = _ref.id,
      className = _ref.className,
      type = _ref.type,
      name = _ref.name,
      value = _ref.value,
      placeholder = _ref.placeholder,
      ariaLabel = _ref.ariaLabel,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "type", "name", "value", "placeholder", "ariaLabel"]);
  return _react.default.createElement("input", (0, _extends2.default)({
    id: id,
    "aria-label": ariaLabel,
    className: className,
    name: name,
    type: type,
    value: value,
    placeholder: placeholder
  }, others));
};

exports.InputVanilla = Input;
Input.defaultProps = {
  placeholder: '',
  ariaLabel: '',
  className: '',
  type: 'text',
  value: ''
};

var _default = (0, _styledComponents.default)(Input).withConfig({
  displayName: "Input",
  componentId: "sc-133uxg0-0"
})(["", ";"], _Input.default);

exports.default = _default;