"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.SelectVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Select = _interopRequireDefault(require("./Select.style"));

var Select = function Select(_ref) {
  var id = _ref.id,
      className = _ref.className,
      disabled = _ref.disabled,
      placeholder = _ref.placeholder,
      options = _ref.options,
      selectedOption = _ref.selectedOption,
      name = _ref.name,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "disabled", "placeholder", "options", "selectedOption", "name"]);
  return _react.default.createElement("select", (0, _extends2.default)({
    id: id,
    name: name,
    className: className,
    value: selectedOption,
    disabled: disabled
  }, others), placeholder && _react.default.createElement("option", {
    value: ""
  }, placeholder), options.map(function (opt) {
    return _react.default.createElement("option", {
      key: opt,
      value: opt
    }, opt);
  }));
};

exports.SelectVanilla = Select;
Select.defaultProps = {
  disabled: false,
  selectedOption: '',
  placeholder: '',
  className: ''
};

var _default = (0, _styledComponents.default)(Select).withConfig({
  displayName: "Select",
  componentId: "sc-1s3i6e0-0"
})(["", ";"], _Select.default);

exports.default = _default;