"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.TextareaVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Textarea = _interopRequireDefault(require("./Textarea.style"));

var Textarea = function Textarea(_ref) {
  var id = _ref.id,
      className = _ref.className,
      title = _ref.title,
      name = _ref.name,
      placeholder = _ref.placeholder,
      value = _ref.value,
      resize = _ref.resize,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "title", "name", "placeholder", "value", "resize"]);
  return _react.default.createElement("textarea", (0, _extends2.default)({
    id: id,
    className: className,
    name: name,
    title: title,
    placeholder: placeholder,
    defaultValue: value,
    resize: resize
  }, others));
};

exports.TextareaVanilla = Textarea;
Textarea.defaultProps = {
  className: '',
  title: '',
  placeholder: '',
  value: '',
  resize: 'none'
};

var _default = (0, _styledComponents.default)(Textarea).withConfig({
  displayName: "Textarea",
  componentId: "g6e5bs-0"
})(["", ";"], _Textarea.default);

exports.default = _default;