"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.BreadcrumbVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Breadcrumb = _interopRequireDefault(require("./Breadcrumb.style"));

var _List = _interopRequireDefault(require("../List"));

var _Anchor = _interopRequireDefault(require("../../atoms/Anchor"));

/**
 *
 * Breadcrumb
 *
 */
var Breadcrumb = function Breadcrumb(_ref) {
  var className = _ref.className,
      linkList = _ref.linkList;
  return _react.default.createElement("nav", {
    "aria-label": "Breadcrumb",
    className: className
  }, _react.default.createElement(_List.default, {
    ListType: "ol",
    inline: true,
    borderSeparator: true,
    noDefaultView: true
  }, linkList && linkList.map(function (item, index) {
    return _react.default.createElement("li", {
      key: "breadcrumb-item-" + index.toString()
    }, linkList.length - 1 === index ? _react.default.createElement(_Anchor.default, (0, _extends2.default)({}, item, {
      "aria-current": "page"
    })) : _react.default.createElement(_Anchor.default, item));
  })));
};

exports.BreadcrumbVanilla = Breadcrumb;

var _default = (0, _styledComponents.default)(Breadcrumb).withConfig({
  displayName: "Breadcrumb",
  componentId: "sc-2lmppw-0"
})(["", ";"], _Breadcrumb.default);

exports.default = _default;