"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldCheckboxVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _InputChoice = _interopRequireDefault(require("../../InputChoice"));

var _FieldError = _interopRequireDefault(require("../../../atoms/FieldError"));

var _FieldCheckbox = _interopRequireDefault(require("./FieldCheckbox.style"));

var FieldCheckbox = function FieldCheckbox(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      _onChange = _ref.onChange,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "name", "onChange"]);
  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement(_formik.Field, {
    name: name,
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return _react.default.createElement(_InputChoice.default, (0, _extends2.default)({
        type: "checkbox",
        id: id || name
      }, field, others, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }), _react.default.createElement(_formik.ErrorMessage, {
    name: name,
    component: _FieldError.default
  }));
};

exports.FieldCheckboxVanilla = FieldCheckbox;
FieldCheckbox.defaultProps = {
  id: '',
  className: '',
  onChange: null
};

var _default = (0, _styledComponents.default)(FieldCheckbox).withConfig({
  displayName: "FieldCheckbox",
  componentId: "sc-1ia5ini-0"
})(["", ";"], _FieldCheckbox.default);

exports.default = _default;