"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldInputVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Input = _interopRequireDefault(require("../../../atoms/Input"));

var _FieldError = _interopRequireDefault(require("../../../atoms/FieldError"));

var _Label = _interopRequireDefault(require("../../../atoms/Label"));

var _FieldInput = _interopRequireDefault(require("./FieldInput.style"));

var FieldInput = function FieldInput(_ref) {
  var id = _ref.id,
      className = _ref.className,
      type = _ref.type,
      name = _ref.name,
      label = _ref.label,
      _onChange = _ref.onChange,
      _onBlur = _ref.onBlur,
      labelProps = _ref.labelProps,
      fieldProps = _ref.fieldProps,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "type", "name", "label", "onChange", "onBlur", "labelProps", "fieldProps"]);
  return (// TODO: Add support for label position
    _react.default.createElement("div", {
      className: className
    }, _react.default.createElement(_Label.default, (0, _extends2.default)({
      htmlFor: id
    }, labelProps), label), _react.default.createElement(_formik.Field, (0, _extends2.default)({
      id: id,
      name: name,
      type: type,
      render: function render(_ref2) {
        var field = _ref2.field,
            form = _ref2.form;
        var handleChange = form.handleChange,
            handleBlur = form.handleBlur;
        return _react.default.createElement(_Input.default, (0, _extends2.default)({
          type: type
        }, others, field, {
          onChange: function onChange(e) {
            handleChange(e);
            if (typeof _onChange === 'function') _onChange(e, form);
          },
          onBlur: function onBlur(e) {
            handleBlur(e);
            if (typeof _onBlur === 'function') _onBlur(e, form);
          }
        }));
      }
    }, fieldProps)), _react.default.createElement(_formik.ErrorMessage, {
      name: name,
      component: _FieldError.default
    }))
  );
};

exports.FieldInputVanilla = FieldInput;
FieldInput.defaultProps = {
  placeholder: '',
  className: '',
  type: 'text',
  labelProps: {},
  value: '',
  fieldProps: {},
  onChange: null,
  onBlur: null
};

var _default = (0, _styledComponents.default)(FieldInput).withConfig({
  displayName: "FieldInput",
  componentId: "sc-1gh57p3-0"
})(["", ";"], _FieldInput.default);

exports.default = _default;