"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _FieldInput = require("../FieldInput");

describe('FieldInput Component', function () {
  var FieldInput = '';
  test('should render correctly', function () {
    FieldInput = (0, _enzyme.shallow)(_react.default.createElement(_FieldInput.FieldInputVanilla, null));
    expect(FieldInput).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Enter username'
    };
    FieldInput = (0, _enzyme.render)(_react.default.createElement(_FieldInput.FieldInputVanilla, props));
    expect(FieldInput.find('label').text()).toEqual('Enter username');
  });
  test('should render Input component with proper type', function () {
    var props = {
      name: 'email',
      type: 'email',
      id: 'email'
    };
    FieldInput = (0, _enzyme.render)(_react.default.createElement(_FieldInput.FieldInputVanilla, props));
    expect(FieldInput.find('input[type=email]')).toHaveLength(1);
  });
});