"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldRadioGroupVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _InputChoice = _interopRequireDefault(require("../../InputChoice"));

var _FieldError = _interopRequireDefault(require("../../../atoms/FieldError"));

var _FieldRadioGroup = _interopRequireDefault(require("./FieldRadioGroup.style"));

var FieldRadioGroup = function FieldRadioGroup(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      radioGroupArray = _ref.radioGroupArray,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "name", "radioGroupArray"]);
  return _react.default.createElement(_formik.FieldArray, {
    name: name,
    render: function render() {
      return _react.default.createElement("div", (0, _extends2.default)({
        className: className,
        id: id
      }, others), radioGroupArray.map(function (radioGroup, index) {
        return _react.default.createElement(_formik.Field, {
          key: radioGroup.id || name + "_" + index,
          name: name,
          render: function render(_ref2) {
            var field = _ref2.field,
                form = _ref2.form;
            var handleChange = form.handleChange;
            var _onChange = radioGroup.onChange;
            return _react.default.createElement(_InputChoice.default, (0, _extends2.default)({
              type: "radio",
              id: radioGroup.id || name + "_" + index,
              onChange: function onChange(e) {
                handleChange(e);
                if (typeof _onChange === 'function') _onChange(e, form);
              }
            }, field, radioGroup));
          }
        });
      }), _react.default.createElement(_formik.ErrorMessage, {
        name: name,
        component: _FieldError.default
      }));
    }
  });
};

exports.FieldRadioGroupVanilla = FieldRadioGroup;
FieldRadioGroup.defaultProps = {
  id: '',
  className: ''
};

var _default = (0, _styledComponents.default)(FieldRadioGroup).withConfig({
  displayName: "FieldRadioGroup",
  componentId: "sc-1xl52gz-0"
})(["", ";"], _FieldRadioGroup.default);

exports.default = _default;