"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldSelectVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Label = _interopRequireDefault(require("../../../atoms/Label"));

var _Select = _interopRequireDefault(require("../../../atoms/Select"));

var _FieldError = _interopRequireDefault(require("../../../atoms/FieldError"));

var _FieldSelect = _interopRequireDefault(require("./FieldSelect.style"));

var FieldSelect = function FieldSelect(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      label = _ref.label,
      _onChange = _ref.onChange,
      labelProps = _ref.labelProps,
      fieldProps = _ref.fieldProps,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "name", "label", "onChange", "labelProps", "fieldProps"]);
  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement(_Label.default, (0, _extends2.default)({
    htmlFor: id
  }, labelProps), label), _react.default.createElement(_formik.Field, (0, _extends2.default)({
    name: name,
    component: "select",
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return _react.default.createElement(_Select.default, (0, _extends2.default)({}, others, field, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }, fieldProps)), _react.default.createElement(_formik.ErrorMessage, {
    name: name,
    component: _FieldError.default
  }));
};

exports.FieldSelectVanilla = FieldSelect;
FieldSelect.defaultProps = {
  labelProps: {},
  fieldProps: {},
  onChange: null
};

var _default = (0, _styledComponents.default)(FieldSelect).withConfig({
  displayName: "FieldSelect",
  componentId: "sc-1fkkiga-0"
})(["", ";"], _FieldSelect.default);

exports.default = _default;