"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.FieldTextareaVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Textarea = _interopRequireDefault(require("../../../atoms/Textarea"));

var _FieldError = _interopRequireDefault(require("../../../atoms/FieldError"));

var _Label = _interopRequireDefault(require("../../../atoms/Label"));

var _FieldTextarea = _interopRequireDefault(require("./FieldTextarea.style"));

var FieldTextarea = function FieldTextarea(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      _onChange = _ref.onChange,
      label = _ref.label,
      labelProps = _ref.labelProps,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "className", "name", "onChange", "label", "labelProps"]);
  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement(_Label.default, (0, _extends2.default)({
    htmlFor: id
  }, labelProps), label), _react.default.createElement(_formik.Field, {
    id: id,
    name: name,
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return _react.default.createElement(_Textarea.default, (0, _extends2.default)({}, others, field, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }), _react.default.createElement(_formik.ErrorMessage, {
    name: name,
    component: _FieldError.default
  }));
};

exports.FieldTextareaVanilla = FieldTextarea;
FieldTextarea.defaultProps = {
  className: '',
  labelProps: {},
  value: '',
  onChange: null
}; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

var _default = (0, _styledComponents.default)(FieldTextarea).withConfig({
  displayName: "FieldTextarea",
  componentId: "sc-9fr5lr-0"
})(["", ";"], _FieldTextarea.default);

exports.default = _default;