"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var _buildValidationSchema = require("../../../core/utils/buildValidationSchema");

var _noop = require("../../../core/utils/noop");

var _Debug = _interopRequireDefault(require("./Debug"));

var _FieldInput = _interopRequireDefault(require("./FieldInput"));

var _FieldSelect = _interopRequireDefault(require("./FieldSelect"));

var _FieldTextarea = _interopRequireDefault(require("./FieldTextarea"));

var _FieldRadioGroup = _interopRequireDefault(require("./FieldRadioGroup"));

var _FieldCheckbox = _interopRequireDefault(require("./FieldCheckbox"));

var Form =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2.default)(Form, _React$PureComponent);

  function Form() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _this.getSchema = function (yupValidationSchema, validationSchema) {
      if (yupValidationSchema === void 0) {
        yupValidationSchema = null;
      }

      if (validationSchema === void 0) {
        validationSchema = null;
      }

      if (yupValidationSchema) return yupValidationSchema;
      return validationSchema ? (0, _buildValidationSchema.buildSchema)(validationSchema) : null;
    };

    return _this;
  }

  var _proto = Form.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        action = _this$props.action,
        className = _this$props.className,
        handleSubmit = _this$props.handleSubmit,
        initialValues = _this$props.initialValues,
        children = _this$props.children,
        debug = _this$props.debug,
        validationSchema = _this$props.validationSchema,
        validate = _this$props.validate,
        validateOnChange = _this$props.validateOnChange,
        validateOnBlur = _this$props.validateOnBlur,
        formWrapperProps = _this$props.formWrapperProps,
        yupValidationSchema = _this$props.yupValidationSchema,
        others = (0, _objectWithoutPropertiesLoose2.default)(_this$props, ["action", "className", "handleSubmit", "initialValues", "children", "debug", "validationSchema", "validate", "validateOnChange", "validateOnBlur", "formWrapperProps", "yupValidationSchema"]);
    return _react.default.createElement(_formik.Formik, (0, _extends2.default)({
      initialValues: initialValues,
      validationSchema: this.getSchema(yupValidationSchema, validationSchema),
      validate: validate,
      onSubmit: handleSubmit,
      validateOnChange: validateOnChange,
      validateOnBlur: validateOnBlur,
      render: function render() {
        return _react.default.createElement(_formik.Form, (0, _extends2.default)({
          noValidate: true
        }, others), children, debug && _react.default.createElement(_Debug.default, null));
      }
    }, formWrapperProps));
  };

  return Form;
}(_react.default.PureComponent);

Form.defaultProps = {
  debug: false,
  className: '',
  initialValues: null,
  validationSchema: null,
  validateOnChange: true,
  validateOnBlur: true,
  formWrapperProps: {},
  yupValidationSchema: null,
  validate: _noop.noop
};
Form.Input = _FieldInput.default;
Form.Select = _FieldSelect.default;
Form.Textarea = _FieldTextarea.default;
Form.RadioGroup = _FieldRadioGroup.default;
Form.Checkbox = _FieldCheckbox.default;
Form.Field = _formik.Field;
var _default = Form;
exports.default = _default;
module.exports = exports["default"];