"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.userFormTnCProps = exports.userFormAgeGroupProps = exports.userFormCommentProps = exports.userFormEmailProps = exports.userFormNameInputProps = exports.userFormSelectProps = exports.userFormProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonActions = require("@storybook/addon-actions");

var userFormProps = {
  initialValues: {
    email: '',
    username: '',
    typeOfUser: '',
    comment: '',
    ageGroup: '',
    termsAndConditions: false
  },
  debug: true,
  action: '/',
  validationSchema: {
    username: {
      max: [15, 'Max limit reached'],
      required: 'User name Required'
    },
    email: {
      max: [30, 'Max reached'],
      email: 'Invalid email format',
      required: 'Required'
    },
    comment: {
      max: [100, 'Comment should not be more than 100 characters'],
      required: 'Please enter a comment'
    },
    ageGroup: {
      required: 'Please select an Age group'
    },
    termsAndConditions: {
      type: 'bool',
      test: ['termsAndConditions', 'please accept terms and conditions!!!', function (value) {
        return value === true;
      }]
    }
  },
  handleSubmit: (0, _addonActions.action)('On Submit Fired')
};
exports.userFormProps = userFormProps;
var userFormSelectProps = {
  options: ['Admin', 'Read Only'],
  name: 'typeOfUser',
  label: 'Type of user'
};
exports.userFormSelectProps = userFormSelectProps;
var userFormNameInputProps = {
  name: 'username',
  type: 'text',
  label: 'User Name'
};
exports.userFormNameInputProps = userFormNameInputProps;
var userFormEmailProps = {
  type: 'email',
  name: 'email',
  label: 'Email'
};
exports.userFormEmailProps = userFormEmailProps;
var userFormCommentProps = {
  name: 'comment',
  label: 'Comment',
  placeholder: 'Enter your comment here...'
};
exports.userFormCommentProps = userFormCommentProps;
var userFormAgeGroupProps = {
  name: 'ageGroup',
  radioGroupArray: [{
    value: '30-',
    label: '< 30'
  }, {
    value: '30-60',
    label: '30-60'
  }, {
    value: '60+',
    label: '> 60'
  }]
};
exports.userFormAgeGroupProps = userFormAgeGroupProps;
var userFormTnCProps = {
  name: 'termsAndConditions',
  label: 'I accept terms & conditions'
};
exports.userFormTnCProps = userFormTnCProps;