"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.InputChoiceVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Input = require("../../atoms/Input");

var _Label = _interopRequireDefault(require("../../atoms/Label"));

var _InputChoice = _interopRequireDefault(require("./InputChoice.style"));

var InputChoice = function InputChoice(_ref) {
  var id = _ref.id,
      name = _ref.name,
      type = _ref.type,
      checked = _ref.checked,
      disabled = _ref.disabled,
      className = _ref.className,
      label = _ref.label,
      children = _ref.children,
      showLabelBeforeInput = _ref.showLabelBeforeInput,
      labelProps = _ref.labelProps,
      otherProps = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["id", "name", "type", "checked", "disabled", "className", "label", "children", "showLabelBeforeInput", "labelProps"]);
  return _react.default.createElement(_Label.default, (0, _extends2.default)({
    className: className,
    htmlFor: id,
    showLabelBeforeInput: showLabelBeforeInput
  }, labelProps), _react.default.createElement(_Input.InputVanilla, (0, _extends2.default)({
    id: id,
    name: name,
    type: type,
    defaultChecked: checked,
    disabled: disabled
  }, otherProps)), _react.default.createElement("span", {
    type: type
  }), _react.default.createElement("div", null, children || label));
};

exports.InputChoiceVanilla = InputChoice;
InputChoice.defaultProps = {
  checked: undefined,
  disabled: false,
  className: '',
  children: '',
  label: '',
  labelProps: {},
  showLabelBeforeInput: false
};

var _default = (0, _styledComponents.default)(InputChoice).withConfig({
  displayName: "InputChoice",
  componentId: "sc-1d450rw-0"
})(["", ";"], _InputChoice.default);

exports.default = _default;