"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _InputChoice = require("../InputChoice");

describe('InputChoiceVanilla Component', function () {
  var inputControl = '';
  beforeEach(function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.InputChoiceVanilla, {
      type: "radio",
      id: "test_1",
      name: "test_1"
    }));
  });
  test('should render Radio button correctly', function () {
    expect(inputControl).toMatchSnapshot();
  });
  test('should render checkbox correctly', function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.InputChoiceVanilla, {
      type: "checkbox",
      id: "test_2",
      name: "test_2"
    }));
    expect(inputControl).toMatchSnapshot();
  });
  test('should render disabled', function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.InputChoiceVanilla, {
      type: "checkbox",
      disabled: true,
      id: "test_3",
      name: "test_3"
    }));
    expect(inputControl.find({
      disabled: true
    })).toHaveLength(1);
  });
  test('should render checked', function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.InputChoiceVanilla, {
      type: "checkbox",
      checked: true,
      id: "test_4",
      name: "test_4"
    }));
    expect(inputControl.find({
      defaultChecked: true
    })).toHaveLength(1);
  });
});