"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ModalVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _reactModal = _interopRequireDefault(require("react-modal"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _noop = require("../../../core/utils/noop");

var _Modal = _interopRequireDefault(require("./Modal.style"));

var Modal = function Modal(_ref) {
  var isOpen = _ref.isOpen,
      onAfterOpen = _ref.onAfterOpen,
      onRequestClose = _ref.onRequestClose,
      closeTimeoutMS = _ref.closeTimeoutMS,
      style = _ref.style,
      contentLabel = _ref.contentLabel,
      portalClassName = _ref.portalClassName,
      overlayClassName = _ref.overlayClassName,
      className = _ref.className,
      bodyOpenClassName = _ref.bodyOpenClassName,
      htmlOpenClassName = _ref.htmlOpenClassName,
      ariaHideApp = _ref.ariaHideApp,
      shouldFocusAfterRender = _ref.shouldFocusAfterRender,
      shouldCloseOnOverlayClick = _ref.shouldCloseOnOverlayClick,
      shouldCloseOnEsc = _ref.shouldCloseOnEsc,
      shouldReturnFocusAfterClose = _ref.shouldReturnFocusAfterClose,
      role = _ref.role,
      parentSelector = _ref.parentSelector,
      aria = _ref.aria,
      overlayRef = _ref.overlayRef,
      contentRef = _ref.contentRef,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["isOpen", "onAfterOpen", "onRequestClose", "closeTimeoutMS", "style", "contentLabel", "portalClassName", "overlayClassName", "className", "bodyOpenClassName", "htmlOpenClassName", "ariaHideApp", "shouldFocusAfterRender", "shouldCloseOnOverlayClick", "shouldCloseOnEsc", "shouldReturnFocusAfterClose", "role", "parentSelector", "aria", "overlayRef", "contentRef"]);
  return _react.default.createElement(_reactModal.default, (0, _extends2.default)({
    isOpen: isOpen,
    onAfterOpen: onAfterOpen,
    onRequestClose: onRequestClose,
    closeTimeoutMS: closeTimeoutMS,
    style: style,
    contentLabel: contentLabel,
    portalClassName: portalClassName,
    overlayClassName: overlayClassName,
    className: className,
    bodyOpenClassName: bodyOpenClassName,
    htmlOpenClassName: htmlOpenClassName,
    ariaHideApp: ariaHideApp,
    shouldFocusAfterRender: shouldFocusAfterRender,
    shouldCloseOnOverlayClick: shouldCloseOnOverlayClick,
    shouldCloseOnEsc: shouldCloseOnEsc,
    shouldReturnFocusAfterClose: shouldReturnFocusAfterClose,
    role: role,
    parentSelector: parentSelector,
    aria: aria,
    overlayRef: overlayRef,
    contentRef: contentRef
  }, others));
};

exports.ModalVanilla = Modal;
Modal.defaultProps = {
  onAfterOpen: _noop.noop,
  onRequestClose: _noop.noop,
  closeTimeoutMS: 0,
  style: {},
  contentLabel: '',
  portalClassName: '',
  overlayClassName: '',
  className: '',
  bodyOpenClassName: 'modalWrapper',
  htmlOpenClassName: '',
  ariaHideApp: false,
  shouldFocusAfterRender: true,
  shouldCloseOnOverlayClick: true,
  shouldCloseOnEsc: true,
  shouldReturnFocusAfterClose: true,
  role: 'dialog',
  parentSelector: function parentSelector() {
    return document && document.body;
  },
  aria: {},
  overlayRef: null,
  contentRef: null
};

var _default = (0, _styledComponents.default)(Modal).withConfig({
  displayName: "Modal",
  componentId: "ed59sz-0"
})(["", ";"], _Modal.default);

exports.default = _default;