"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _index = require("../index");

var interactivePopover = {
  className: 'example',
  popOverHeader: 'This is a popover header text',
  trigger: _react.default.createElement("button", {
    id: "popover-trigger"
  }, "Click to Open")
};
describe('<Popover /> Rendering', function () {
  var PopoverComponent;
  beforeEach(function () {
    PopoverComponent = (0, _enzyme.shallow)(_react.default.createElement(_index.PopoverVanilla, null, "Test"));
  });
  test('should render correctly', function () {
    expect(PopoverComponent).toMatchSnapshot();
  });
});
describe('Popover functional behavior', function () {
  var PopoverComponent;
  test('Should have Close Button By Default and can be closed', function () {
    PopoverComponent = (0, _enzyme.mount)(_react.default.createElement(_index.PopoverVanilla, (0, _extends2.default)({}, interactivePopover, {
      isVisible: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__close').length).toEqual(1);
    PopoverComponent = (0, _enzyme.mount)(_react.default.createElement(_index.PopoverVanilla, (0, _extends2.default)({}, interactivePopover, {
      hidePopoverCloseBtn: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__close').length).toEqual(0);
  });
  test('Should open By Default when isVisible set to true', function () {
    PopoverComponent = (0, _enzyme.mount)(_react.default.createElement(_index.PopoverVanilla, (0, _extends2.default)({}, interactivePopover, {
      isVisible: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__header').length).toEqual(1);
  });
  test('Should open and close on Trigger and X button click', function () {
    PopoverComponent = (0, _enzyme.mount)(_react.default.createElement("div", null, _react.default.createElement("p", {
      className: "test"
    }, "Test Content"), _react.default.createElement(_index.PopoverVanilla, interactivePopover, "Test"))); // Test Default Open through trigger

    PopoverComponent.find('#popover-trigger').simulate('click');
    expect(PopoverComponent.find('.popover__header').length).toEqual(1); // Test Close Popover when clicking outside through trigger the popover
    // Test Close through X button

    PopoverComponent.find('.popover__close').simulate('click');
    expect(PopoverComponent.find('.popover__header').length).toEqual(0);
  });
});