"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.TabVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Tab = _interopRequireDefault(require("./Tab.style"));

var _Anchor = _interopRequireDefault(require("../../../atoms/Anchor"));

/**
 *
 * Tab
 *
 */
var Tab = function Tab(_ref) {
  var children = _ref.children,
      className = _ref.className,
      tabId = _ref.tabId,
      index = _ref.index,
      isSelected = _ref.isSelected,
      _onClick = _ref.onClick,
      _onKeyDown = _ref.onKeyDown,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["children", "className", "tabId", "index", "isSelected", "onClick", "onKeyDown"]);
  return _react.default.createElement("li", (0, _extends2.default)({
    className: className,
    role: "tab",
    "aria-controls": tabId,
    "aria-selected": isSelected,
    id: "tab_" + index,
    onClick: function onClick(e) {
      return _onClick(e, index);
    },
    onKeyDown: function onKeyDown(e) {
      return _onKeyDown(e);
    },
    tabIndex: isSelected ? 0 : -1
  }, others), _react.default.createElement(_Anchor.default, {
    noLink: true,
    to: "#" + tabId
  }, children));
};

exports.TabVanilla = Tab;
Tab.defaultProps = {
  className: '',
  inheritedStyles: ''
};

var _default = (0, _styledComponents.default)(Tab).withConfig({
  displayName: "Tab",
  componentId: "ddcdtl-0"
})(["", ";"], _Tab.default);

exports.default = _default;