"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.TabPanelVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _TabPanel = _interopRequireDefault(require("./TabPanel.style"));

/**
 *
 * TabPanel
 *
 */
var TabPanel = function TabPanel(_ref) {
  var children = _ref.children,
      className = _ref.className,
      index = _ref.index,
      isSelected = _ref.isSelected,
      tabId = _ref.tabId,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["children", "className", "index", "isSelected", "tabId"]);
  return _react.default.createElement("div", (0, _extends2.default)({
    id: tabId,
    className: className,
    role: "tabpanel",
    "aria-expanded": isSelected,
    "aria-hidden": !isSelected,
    "aria-labelledby": "tab_" + index,
    hidden: !isSelected
  }, others), children);
};

exports.TabPanelVanilla = TabPanel;
TabPanel.defaultProps = {
  className: '',
  inheritedStyles: ''
};

var _default = (0, _styledComponents.default)(TabPanel).withConfig({
  displayName: "TabPanel",
  componentId: "sc-17k1o9v-0"
})(["", ";"], _TabPanel.default);

exports.default = _default;