"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Tabs = require("../Tabs.mock");

var _index = _interopRequireDefault(require("../index"));

describe('<Tabs />', function () {
  var TabsComponent = '';
  beforeEach(function () {
    TabsComponent = (0, _enzyme.shallow)(_react.default.createElement(_index.default, _Tabs.defaultTabs));
  });
  test('should render correctly', function () {
    expect(TabsComponent).toMatchSnapshot();
  });
});
describe('<Tabs /> functional behavior', function () {
  var TabsComponent = '';
  var onChange = jest.fn();
  beforeEach(function () {
    TabsComponent = (0, _enzyme.mount)(_react.default.createElement(_index.default, (0, _extends2.default)({}, _Tabs.defaultTabs, {
      onTabChange: onChange
    })));
  });
  test('should have minimum dom structure for the tests below', function () {
    expect(TabsComponent.find('ul[role="tablist"] li').length).toEqual(2);
    expect(TabsComponent.find('[role="tabpanel"]').length).toEqual(2);
  });
  test('should change the tab panel and execute callback on closed tab click', function () {
    TabsComponent.find('#tab_1').simulate('click');
    expect(onChange).toBeCalledWith(1);
  });
});