import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import { buildUrl } from '../../../core/utils/url';
import styles from './Anchor.style';

var Anchor = function Anchor(_ref) {
  var children = _ref.children,
      to = _ref.to,
      as = _ref.as,
      className = _ref.className,
      inheritedStyles = _ref.inheritedStyles,
      handleLinkClick = _ref.handleLinkClick,
      shallow = _ref.shallow,
      scroll = _ref.scroll,
      forceClick = _ref.forceClick,
      others = _objectWithoutPropertiesLoose(_ref, ["children", "to", "as", "className", "inheritedStyles", "handleLinkClick", "shallow", "scroll", "forceClick"]);

  return React.createElement("a", _extends({
    href: buildUrl(to),
    className: className,
    onClick: handleLinkClick
  }, others), children);
};

Anchor.defaultProps = {
  as: '',
  inheritedStyles: '',
  shallow: false,
  scroll: false,
  forceClick: false,
  className: '',
  handleLinkClick: function handleLinkClick() {}
};
export default styled(Anchor).withConfig({
  displayName: "Anchor",
  componentId: "sc-1xnvnyd-0"
})(["", ";"], styles);
export { Anchor as AnchorVanilla };