import React from 'react';
import { shallow } from 'enzyme';
import 'jest-styled-components';
import Anchor, { AnchorVanilla } from '../Anchor';
describe('Anchor Component', function () {
  var anchor;
  test('should render correctly and match snapshot', function () {
    anchor = shallow(React.createElement(Anchor, {
      to: "/sample"
    }, "Sample"));
    expect(anchor).toMatchSnapshot();
  });
  test('Should handle on typeahead focuson Events', function () {
    var props = {
      noLink: true,
      to: '/sample',
      handleLinkClick: jest.fn()
    };
    var event = {
      preventDefault: jest.fn()
    };
    anchor = shallow(React.createElement(AnchorVanilla, props, "Sample"));
    anchor.find('a').simulate('click', event);
    expect(props.handleLinkClick).toHaveBeenCalled();
  });
});