import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { primaryButton, primaryButtonDisabled, secondaryButton, secondaryButtonDisabled } from './Button.mock';
import Button, { ButtonVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).add('Button Knobs', function () {
  return React.createElement(ButtonVanilla, _extends({}, primaryButton, {
    className: primaryButton.className
  }), "Submit");
}).addWithChapters('Buttons', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(ButtonVanilla, _extends({}, primaryButton, {
          className: "hide-default-sample " + primaryButton.className
        }), "Submit");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Button Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(Button, primaryButton, "Submit");
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return React.createElement(Button, primaryButtonDisabled, "Submit");
      }
    }]
  }, {
    title: 'Secondary Button Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(Button, secondaryButton, "Submit");
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return React.createElement(Button, secondaryButtonDisabled, "Submit");
      }
    }]
  }]
});