import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import styles from './Heading.style';

var Heading = function Heading(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$HeadingType = _ref.HeadingType,
      HeadingType = _ref$HeadingType === void 0 ? 'h1' : _ref$HeadingType,
      inheritedStyles = _ref.inheritedStyles,
      others = _objectWithoutPropertiesLoose(_ref, ["children", "className", "HeadingType", "inheritedStyles"]);

  return React.createElement(HeadingType, _extends({
    className: className
  }, others), children);
};

Heading.defaultProps = {
  inheritedStyles: '',
  HeadingType: 'h1'
};
export default styled(Heading).withConfig({
  displayName: "Heading",
  componentId: "sc-1p0x9xg-0"
})(["", ";"], styles);
export { Heading as HeadingVanilla };