import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import defaultImage from './Image.mock';
import Image, { ImageVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).addWithChapters('Image', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(ImageVanilla, _extends({}, defaultImage, {
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Responsive Image Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(Image, defaultImage);
      }
    }]
  }]
});