import React from 'react';
import { shallow } from 'enzyme';
import { ImageVanilla } from '../Image';
describe('Image Component', function () {
  var sampleProps = {
    src: 'http://abc.com',
    placeholderSrc: 'http://xyz.com',
    alt: 'ABC'
  };
  test('should render correctly and match snapshots', function () {
    var image = shallow(React.createElement(ImageVanilla, sampleProps));
    expect(image).toMatchSnapshot();
  });
  test('should change image src on error', function () {
    var image = shallow(React.createElement(ImageVanilla, sampleProps));
    image.simulate('error', {
      target: image
    });
    expect(image.src).toBe(sampleProps.placeholderSrc);
  });
});