import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import styles from './Input.style';

var Input = function Input(_ref) {
  var id = _ref.id,
      className = _ref.className,
      type = _ref.type,
      name = _ref.name,
      value = _ref.value,
      placeholder = _ref.placeholder,
      ariaLabel = _ref.ariaLabel,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "type", "name", "value", "placeholder", "ariaLabel"]);

  return React.createElement("input", _extends({
    id: id,
    "aria-label": ariaLabel,
    className: className,
    name: name,
    type: type,
    value: value,
    placeholder: placeholder
  }, others));
};

Input.defaultProps = {
  placeholder: '',
  ariaLabel: '',
  className: '',
  type: 'text',
  value: ''
};
export default styled(Input).withConfig({
  displayName: "Input",
  componentId: "sc-133uxg0-0"
})(["", ";"], styles);
export { Input as InputVanilla };