import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import styles from './Select.style';

var Select = function Select(_ref) {
  var id = _ref.id,
      className = _ref.className,
      disabled = _ref.disabled,
      placeholder = _ref.placeholder,
      options = _ref.options,
      selectedOption = _ref.selectedOption,
      name = _ref.name,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "disabled", "placeholder", "options", "selectedOption", "name"]);

  return React.createElement("select", _extends({
    id: id,
    name: name,
    className: className,
    value: selectedOption,
    disabled: disabled
  }, others), placeholder && React.createElement("option", {
    value: ""
  }, placeholder), options.map(function (opt) {
    return React.createElement("option", {
      key: opt,
      value: opt
    }, opt);
  }));
};

Select.defaultProps = {
  disabled: false,
  selectedOption: '',
  placeholder: '',
  className: ''
};
export default styled(Select).withConfig({
  displayName: "Select",
  componentId: "sc-1s3i6e0-0"
})(["", ";"], styles);
export { Select as SelectVanilla };