import _extends from "@babel/runtime/helpers/esm/extends";

/**
 *
 * Breadcrumb
 *
 */
import React from 'react';
import styled from 'styled-components';
import styles from './Breadcrumb.style';
import List from '../List';
import Anchor from '../../atoms/Anchor';

var Breadcrumb = function Breadcrumb(_ref) {
  var className = _ref.className,
      linkList = _ref.linkList;
  return React.createElement("nav", {
    "aria-label": "Breadcrumb",
    className: className
  }, React.createElement(List, {
    ListType: "ol",
    inline: true,
    borderSeparator: true,
    noDefaultView: true
  }, linkList && linkList.map(function (item, index) {
    return React.createElement("li", {
      key: "breadcrumb-item-" + index.toString()
    }, linkList.length - 1 === index ? React.createElement(Anchor, _extends({}, item, {
      "aria-current": "page"
    })) : React.createElement(Anchor, item));
  })));
};

export default styled(Breadcrumb).withConfig({
  displayName: "Breadcrumb",
  componentId: "sc-2lmppw-0"
})(["", ";"], styles);
export { Breadcrumb as BreadcrumbVanilla };