import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react'; // import { action } from '@storybook/addon-actions';

import defaultConfig from './Breadcrumb.mock'; // Import Styled Component to showcase variations

import Breadcrumb, { BreadcrumbVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('Breadcrumb', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(BreadcrumbVanilla, _extends({}, defaultConfig, {
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Breadcrumb Variations',
    sections: [{
      title: 'Variation Name',
      sectionFn: function sectionFn() {
        return React.createElement(Breadcrumb, defaultConfig);
      }
    }]
  }]
});