import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { Field, ErrorMessage } from 'formik';
import styled from 'styled-components';
import InputChoice from '../../InputChoice';
import FieldError from '../../../atoms/FieldError';
import styles from './FieldCheckbox.style';

var FieldCheckbox = function FieldCheckbox(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      _onChange = _ref.onChange,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "name", "onChange"]);

  return React.createElement("div", {
    className: className
  }, React.createElement(Field, {
    name: name,
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return React.createElement(InputChoice, _extends({
        type: "checkbox",
        id: id || name
      }, field, others, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }), React.createElement(ErrorMessage, {
    name: name,
    component: FieldError
  }));
};

FieldCheckbox.defaultProps = {
  id: '',
  className: '',
  onChange: null
};
export default styled(FieldCheckbox).withConfig({
  displayName: "FieldCheckbox",
  componentId: "sc-1ia5ini-0"
})(["", ";"], styles);
export { FieldCheckbox as FieldCheckboxVanilla };