import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { Field, ErrorMessage } from 'formik';
import styled from 'styled-components';
import Input from '../../../atoms/Input';
import FieldError from '../../../atoms/FieldError';
import Label from '../../../atoms/Label';
import styles from './FieldInput.style';

var FieldInput = function FieldInput(_ref) {
  var id = _ref.id,
      className = _ref.className,
      type = _ref.type,
      name = _ref.name,
      label = _ref.label,
      _onChange = _ref.onChange,
      _onBlur = _ref.onBlur,
      labelProps = _ref.labelProps,
      fieldProps = _ref.fieldProps,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "type", "name", "label", "onChange", "onBlur", "labelProps", "fieldProps"]);

  return (// TODO: Add support for label position
    React.createElement("div", {
      className: className
    }, React.createElement(Label, _extends({
      htmlFor: id
    }, labelProps), label), React.createElement(Field, _extends({
      id: id,
      name: name,
      type: type,
      render: function render(_ref2) {
        var field = _ref2.field,
            form = _ref2.form;
        var handleChange = form.handleChange,
            handleBlur = form.handleBlur;
        return React.createElement(Input, _extends({
          type: type
        }, others, field, {
          onChange: function onChange(e) {
            handleChange(e);
            if (typeof _onChange === 'function') _onChange(e, form);
          },
          onBlur: function onBlur(e) {
            handleBlur(e);
            if (typeof _onBlur === 'function') _onBlur(e, form);
          }
        }));
      }
    }, fieldProps)), React.createElement(ErrorMessage, {
      name: name,
      component: FieldError
    }))
  );
};

FieldInput.defaultProps = {
  placeholder: '',
  className: '',
  type: 'text',
  labelProps: {},
  value: '',
  fieldProps: {},
  onChange: null,
  onBlur: null
};
export default styled(FieldInput).withConfig({
  displayName: "FieldInput",
  componentId: "sc-1gh57p3-0"
})(["", ";"], styles);
export { FieldInput as FieldInputVanilla };