import React from 'react';
import { shallow, render } from 'enzyme';
import { FieldInputVanilla } from '../FieldInput';
describe('FieldInput Component', function () {
  var FieldInput = '';
  test('should render correctly', function () {
    FieldInput = shallow(React.createElement(FieldInputVanilla, null));
    expect(FieldInput).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Enter username'
    };
    FieldInput = render(React.createElement(FieldInputVanilla, props));
    expect(FieldInput.find('label').text()).toEqual('Enter username');
  });
  test('should render Input component with proper type', function () {
    var props = {
      name: 'email',
      type: 'email',
      id: 'email'
    };
    FieldInput = render(React.createElement(FieldInputVanilla, props));
    expect(FieldInput.find('input[type=email]')).toHaveLength(1);
  });
});