import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { Field, ErrorMessage, FieldArray } from 'formik';
import styled from 'styled-components';
import InputChoice from '../../InputChoice';
import FieldError from '../../../atoms/FieldError';
import styles from './FieldRadioGroup.style';

var FieldRadioGroup = function FieldRadioGroup(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      radioGroupArray = _ref.radioGroupArray,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "name", "radioGroupArray"]);

  return React.createElement(FieldArray, {
    name: name,
    render: function render() {
      return React.createElement("div", _extends({
        className: className,
        id: id
      }, others), radioGroupArray.map(function (radioGroup, index) {
        return React.createElement(Field, {
          key: radioGroup.id || name + "_" + index,
          name: name,
          render: function render(_ref2) {
            var field = _ref2.field,
                form = _ref2.form;
            var handleChange = form.handleChange;
            var _onChange = radioGroup.onChange;
            return React.createElement(InputChoice, _extends({
              type: "radio",
              id: radioGroup.id || name + "_" + index,
              onChange: function onChange(e) {
                handleChange(e);
                if (typeof _onChange === 'function') _onChange(e, form);
              }
            }, field, radioGroup));
          }
        });
      }), React.createElement(ErrorMessage, {
        name: name,
        component: FieldError
      }));
    }
  });
};

FieldRadioGroup.defaultProps = {
  id: '',
  className: ''
};
export default styled(FieldRadioGroup).withConfig({
  displayName: "FieldRadioGroup",
  componentId: "sc-1xl52gz-0"
})(["", ";"], styles);
export { FieldRadioGroup as FieldRadioGroupVanilla };