import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { Field, ErrorMessage } from 'formik';
import styled from 'styled-components';
import Label from '../../../atoms/Label';
import Select from '../../../atoms/Select';
import FieldError from '../../../atoms/FieldError';
import styles from './FieldSelect.style';

var FieldSelect = function FieldSelect(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      label = _ref.label,
      _onChange = _ref.onChange,
      labelProps = _ref.labelProps,
      fieldProps = _ref.fieldProps,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "name", "label", "onChange", "labelProps", "fieldProps"]);

  return React.createElement("div", {
    className: className
  }, React.createElement(Label, _extends({
    htmlFor: id
  }, labelProps), label), React.createElement(Field, _extends({
    name: name,
    component: "select",
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return React.createElement(Select, _extends({}, others, field, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }, fieldProps)), React.createElement(ErrorMessage, {
    name: name,
    component: FieldError
  }));
};

FieldSelect.defaultProps = {
  labelProps: {},
  fieldProps: {},
  onChange: null
};
export default styled(FieldSelect).withConfig({
  displayName: "FieldSelect",
  componentId: "sc-1fkkiga-0"
})(["", ";"], styles);
export { FieldSelect as FieldSelectVanilla };