import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { Field, ErrorMessage } from 'formik';
import styled from 'styled-components';
import Textarea from '../../../atoms/Textarea';
import FieldError from '../../../atoms/FieldError';
import Label from '../../../atoms/Label';
import styles from './FieldTextarea.style';

var FieldTextarea = function FieldTextarea(_ref) {
  var id = _ref.id,
      className = _ref.className,
      name = _ref.name,
      _onChange = _ref.onChange,
      label = _ref.label,
      labelProps = _ref.labelProps,
      others = _objectWithoutPropertiesLoose(_ref, ["id", "className", "name", "onChange", "label", "labelProps"]);

  return React.createElement("div", {
    className: className
  }, React.createElement(Label, _extends({
    htmlFor: id
  }, labelProps), label), React.createElement(Field, {
    id: id,
    name: name,
    render: function render(_ref2) {
      var field = _ref2.field,
          form = _ref2.form;
      var handleChange = form.handleChange;
      return React.createElement(Textarea, _extends({}, others, field, {
        onChange: function onChange(e) {
          handleChange(e);
          if (typeof _onChange === 'function') _onChange(e, form);
        }
      }));
    }
  }), React.createElement(ErrorMessage, {
    name: name,
    component: FieldError
  }));
};

FieldTextarea.defaultProps = {
  className: '',
  labelProps: {},
  value: '',
  onChange: null
}; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

export default styled(FieldTextarea).withConfig({
  displayName: "FieldTextarea",
  componentId: "sc-9fr5lr-0"
})(["", ";"], styles);
export { FieldTextarea as FieldTextareaVanilla };