import React from 'react';
import { storiesOf } from '@storybook/react';
import FieldTextarea from '.';
import Form from '../Form';
import defaultTextareaForm from './FieldTextarea.mock'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('FieldTextarea', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(Form, defaultTextareaForm, React.createElement(FieldTextarea, {
          id: "comment",
          name: "comment",
          label: "Comment",
          placeholder: "Enter your text here..."
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }]
});