import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import React from 'react';
import { Formik, Form as FormWrapper, Field } from 'formik';
import { buildSchema } from '../../../core/utils/buildValidationSchema';
import { noop } from '../../../core/utils/noop';
import Debug from './Debug';
import FieldInput from './FieldInput';
import FieldSelect from './FieldSelect';
import FieldTextarea from './FieldTextarea';
import FieldRadioGroup from './FieldRadioGroup';
import FieldCheckbox from './FieldCheckbox';

var Form =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(Form, _React$PureComponent);

  function Form() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _this.getSchema = function (yupValidationSchema, validationSchema) {
      if (yupValidationSchema === void 0) {
        yupValidationSchema = null;
      }

      if (validationSchema === void 0) {
        validationSchema = null;
      }

      if (yupValidationSchema) return yupValidationSchema;
      return validationSchema ? buildSchema(validationSchema) : null;
    };

    return _this;
  }

  var _proto = Form.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        action = _this$props.action,
        className = _this$props.className,
        handleSubmit = _this$props.handleSubmit,
        initialValues = _this$props.initialValues,
        children = _this$props.children,
        debug = _this$props.debug,
        validationSchema = _this$props.validationSchema,
        validate = _this$props.validate,
        validateOnChange = _this$props.validateOnChange,
        validateOnBlur = _this$props.validateOnBlur,
        formWrapperProps = _this$props.formWrapperProps,
        yupValidationSchema = _this$props.yupValidationSchema,
        others = _objectWithoutPropertiesLoose(_this$props, ["action", "className", "handleSubmit", "initialValues", "children", "debug", "validationSchema", "validate", "validateOnChange", "validateOnBlur", "formWrapperProps", "yupValidationSchema"]);

    return React.createElement(Formik, _extends({
      initialValues: initialValues,
      validationSchema: this.getSchema(yupValidationSchema, validationSchema),
      validate: validate,
      onSubmit: handleSubmit,
      validateOnChange: validateOnChange,
      validateOnBlur: validateOnBlur,
      render: function render() {
        return React.createElement(FormWrapper, _extends({
          noValidate: true
        }, others), children, debug && React.createElement(Debug, null));
      }
    }, formWrapperProps));
  };

  return Form;
}(React.PureComponent);

Form.defaultProps = {
  debug: false,
  className: '',
  initialValues: null,
  validationSchema: null,
  validateOnChange: true,
  validateOnBlur: true,
  formWrapperProps: {},
  yupValidationSchema: null,
  validate: noop
};
Form.Input = FieldInput;
Form.Select = FieldSelect;
Form.Textarea = FieldTextarea;
Form.RadioGroup = FieldRadioGroup;
Form.Checkbox = FieldCheckbox;
Form.Field = Field;
export default Form;