import React from 'react';
import { storiesOf } from '@storybook/react';
import { userFormProps, userFormSelectProps, userFormNameInputProps, userFormEmailProps, userFormCommentProps, userFormAgeGroupProps, userFormTnCProps } from './Form.mock'; // Import Vanilla Component to display markup and props

import Form from './Form';
import Button from '../../atoms/Button'; // Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('Form', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(Form, userFormProps, React.createElement("div", null, React.createElement(Form.Select, userFormSelectProps), React.createElement(Form.Input, userFormNameInputProps), React.createElement(Form.Input, userFormEmailProps), React.createElement(Form.RadioGroup, userFormAgeGroupProps), React.createElement(Form.Checkbox, userFormTnCProps), React.createElement(Form.Textarea, userFormCommentProps)), React.createElement(Button, {
          primary: true,
          type: "submit"
        }, "Submit"));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }]
});