import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import { InputVanilla as Input } from '../../atoms/Input';
import Label from '../../atoms/Label';
import styles from './InputChoice.style';

var InputChoice = function InputChoice(_ref) {
  var id = _ref.id,
      name = _ref.name,
      type = _ref.type,
      checked = _ref.checked,
      disabled = _ref.disabled,
      className = _ref.className,
      label = _ref.label,
      children = _ref.children,
      showLabelBeforeInput = _ref.showLabelBeforeInput,
      labelProps = _ref.labelProps,
      otherProps = _objectWithoutPropertiesLoose(_ref, ["id", "name", "type", "checked", "disabled", "className", "label", "children", "showLabelBeforeInput", "labelProps"]);

  return React.createElement(Label, _extends({
    className: className,
    htmlFor: id,
    showLabelBeforeInput: showLabelBeforeInput
  }, labelProps), React.createElement(Input, _extends({
    id: id,
    name: name,
    type: type,
    defaultChecked: checked,
    disabled: disabled
  }, otherProps)), React.createElement("span", {
    type: type
  }), React.createElement("div", null, children || label));
};

InputChoice.defaultProps = {
  checked: undefined,
  disabled: false,
  className: '',
  children: '',
  label: '',
  labelProps: {},
  showLabelBeforeInput: false
};
export default styled(InputChoice).withConfig({
  displayName: "InputChoice",
  componentId: "sc-1d450rw-0"
})(["", ";"], styles);
export { InputChoice as InputChoiceVanilla };