import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { checkbox, defaultCheckedCheckbox, disabledCheckbox, checkboxWithLabelBeforeInput, inputRadio, defaultCheckedInputRadio, disabledInputRadio, inputRadioWithLabelBeforeInput } from './InputChoice.mock';
import InputChoice, { InputChoiceVanilla } from './InputChoice'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('InputChoice', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(InputChoiceVanilla, _extends({}, checkbox, {
          id: "test",
          name: "test",
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Checkbox Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, checkbox);
      }
    }, {
      title: 'Default Checked',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, defaultCheckedCheckbox);
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, disabledCheckbox);
      }
    }, {
      title: 'Checkbox with showLabelBeforeInput prop',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, checkboxWithLabelBeforeInput);
      }
    }]
  }, {
    title: 'InputRadio Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, inputRadio);
      }
    }, {
      title: 'Default Checked',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, defaultCheckedInputRadio);
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, disabledInputRadio);
      }
    }, {
      title: 'Checkbox with showLabelBeforeInput prop',
      sectionFn: function sectionFn() {
        return React.createElement(InputChoice, inputRadioWithLabelBeforeInput);
      }
    }]
  }]
});