import React from 'react';
import { shallow } from 'enzyme';
import { InputChoiceVanilla } from '../InputChoice';
describe('InputChoiceVanilla Component', function () {
  var inputControl = '';
  beforeEach(function () {
    inputControl = shallow(React.createElement(InputChoiceVanilla, {
      type: "radio",
      id: "test_1",
      name: "test_1"
    }));
  });
  test('should render Radio button correctly', function () {
    expect(inputControl).toMatchSnapshot();
  });
  test('should render checkbox correctly', function () {
    inputControl = shallow(React.createElement(InputChoiceVanilla, {
      type: "checkbox",
      id: "test_2",
      name: "test_2"
    }));
    expect(inputControl).toMatchSnapshot();
  });
  test('should render disabled', function () {
    inputControl = shallow(React.createElement(InputChoiceVanilla, {
      type: "checkbox",
      disabled: true,
      id: "test_3",
      name: "test_3"
    }));
    expect(inputControl.find({
      disabled: true
    })).toHaveLength(1);
  });
  test('should render checked', function () {
    inputControl = shallow(React.createElement(InputChoiceVanilla, {
      type: "checkbox",
      checked: true,
      id: "test_4",
      name: "test_4"
    }));
    expect(inputControl.find({
      defaultChecked: true
    })).toHaveLength(1);
  });
});