import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";

/**
 *
 * List
 *
 */
import React from 'react';
import styled from 'styled-components';
import styles from './List.style';

var List = function List(_ref) {
  var className = _ref.className,
      _ref$ListType = _ref.ListType,
      ListType = _ref$ListType === void 0 ? 'ul' : _ref$ListType,
      children = _ref.children,
      others = _objectWithoutPropertiesLoose(_ref, ["className", "ListType", "children"]);

  return React.createElement(ListType, _extends({
    className: className
  }, others), children);
};

List.defaultProps = {
  inheritedStyles: '',
  ListType: 'ul',
  className: '',
  borderSeparator: false,
  noDefaultView: false,
  inline: false,
  nested: false,
  noMargin: false
};
export default styled(List).withConfig({
  displayName: "List",
  componentId: "rp20fd-0"
})(["", ";"], styles);
export { List as ListVanilla };