import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { unorderedList, orderedList, nestedUnorderedList, inlineBorderSeparatedUnorderedList } from './List.mock'; // Import Styled Component to showcase variations

import List, { ListVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('List', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(ListVanilla, _extends({}, unorderedList, {
          className: "hide-default-sample " + unorderedList.className
        }), React.createElement("li", {
          key: 1
        }, "This is list item"), React.createElement("li", {
          key: 2
        }, "This is list item"), React.createElement("li", {
          key: 3
        }, "This is list item"));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary List Variations',
    sections: [{
      title: 'Unordered List',
      sectionFn: function sectionFn() {
        return React.createElement(List, unorderedList, React.createElement("li", {
          key: 1
        }, "This is list item"), React.createElement("li", {
          key: 2
        }, "This is list item"), React.createElement("li", {
          key: 3
        }, "This is list item"));
      }
    }, {
      title: 'Ordered List',
      sectionFn: function sectionFn() {
        return React.createElement(List, orderedList, React.createElement("li", {
          key: 1
        }, "This is ordered list item."), React.createElement("li", {
          key: 2
        }, "This is ordered list item."), React.createElement("li", {
          key: 3
        }, "This is ordered list item."), React.createElement("li", {
          key: 4
        }, "This is ordered list item."));
      }
    }, {
      title: 'Nested Unordered List',
      sectionFn: function sectionFn() {
        return React.createElement(List, nestedUnorderedList, React.createElement("li", {
          key: 1
        }, "This is list item"), React.createElement("li", {
          key: 2
        }, React.createElement(List, orderedList, React.createElement("li", {
          key: 3
        }, "This is nested list item."), React.createElement("li", {
          key: 4
        }, "This is nested list item."))), React.createElement("li", {
          key: 5
        }, "This is list item"));
      }
    }, {
      title: 'Inline Border Separated Unordered List',
      sectionFn: function sectionFn() {
        return React.createElement(List, inlineBorderSeparatedUnorderedList, React.createElement("li", {
          key: 1
        }, "This is list item"), React.createElement("li", {
          key: 2
        }, "This is list item"), React.createElement("li", {
          key: 3
        }, "This is list item"));
      }
    }]
  }]
});