import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import ReactModal from 'react-modal';
import styled from 'styled-components';
import { noop } from '../../../core/utils/noop';
import styles from './Modal.style';

var Modal = function Modal(_ref) {
  var isOpen = _ref.isOpen,
      onAfterOpen = _ref.onAfterOpen,
      onRequestClose = _ref.onRequestClose,
      closeTimeoutMS = _ref.closeTimeoutMS,
      style = _ref.style,
      contentLabel = _ref.contentLabel,
      portalClassName = _ref.portalClassName,
      overlayClassName = _ref.overlayClassName,
      className = _ref.className,
      bodyOpenClassName = _ref.bodyOpenClassName,
      htmlOpenClassName = _ref.htmlOpenClassName,
      ariaHideApp = _ref.ariaHideApp,
      shouldFocusAfterRender = _ref.shouldFocusAfterRender,
      shouldCloseOnOverlayClick = _ref.shouldCloseOnOverlayClick,
      shouldCloseOnEsc = _ref.shouldCloseOnEsc,
      shouldReturnFocusAfterClose = _ref.shouldReturnFocusAfterClose,
      role = _ref.role,
      parentSelector = _ref.parentSelector,
      aria = _ref.aria,
      overlayRef = _ref.overlayRef,
      contentRef = _ref.contentRef,
      others = _objectWithoutPropertiesLoose(_ref, ["isOpen", "onAfterOpen", "onRequestClose", "closeTimeoutMS", "style", "contentLabel", "portalClassName", "overlayClassName", "className", "bodyOpenClassName", "htmlOpenClassName", "ariaHideApp", "shouldFocusAfterRender", "shouldCloseOnOverlayClick", "shouldCloseOnEsc", "shouldReturnFocusAfterClose", "role", "parentSelector", "aria", "overlayRef", "contentRef"]);

  return React.createElement(ReactModal, _extends({
    isOpen: isOpen,
    onAfterOpen: onAfterOpen,
    onRequestClose: onRequestClose,
    closeTimeoutMS: closeTimeoutMS,
    style: style,
    contentLabel: contentLabel,
    portalClassName: portalClassName,
    overlayClassName: overlayClassName,
    className: className,
    bodyOpenClassName: bodyOpenClassName,
    htmlOpenClassName: htmlOpenClassName,
    ariaHideApp: ariaHideApp,
    shouldFocusAfterRender: shouldFocusAfterRender,
    shouldCloseOnOverlayClick: shouldCloseOnOverlayClick,
    shouldCloseOnEsc: shouldCloseOnEsc,
    shouldReturnFocusAfterClose: shouldReturnFocusAfterClose,
    role: role,
    parentSelector: parentSelector,
    aria: aria,
    overlayRef: overlayRef,
    contentRef: contentRef
  }, others));
};

Modal.defaultProps = {
  onAfterOpen: noop,
  onRequestClose: noop,
  closeTimeoutMS: 0,
  style: {},
  contentLabel: '',
  portalClassName: '',
  overlayClassName: '',
  className: '',
  bodyOpenClassName: 'modalWrapper',
  htmlOpenClassName: '',
  ariaHideApp: false,
  shouldFocusAfterRender: true,
  shouldCloseOnOverlayClick: true,
  shouldCloseOnEsc: true,
  shouldReturnFocusAfterClose: true,
  role: 'dialog',
  parentSelector: function parentSelector() {
    return document && document.body;
  },
  aria: {},
  overlayRef: null,
  contentRef: null
};
export default styled(Modal).withConfig({
  displayName: "Modal",
  componentId: "ed59sz-0"
})(["", ";"], styles);
export { Modal as ModalVanilla };