import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react'; // import { action } from '@storybook/addon-actions';

import List from '../List';
import { defaultVisiblePopover, hiddenPopover, ListPopover, noCloseBtnPopover } from './Popover.mock'; // Import Styled Component to showcase variations

import Popover, { PopoverVanilla } from '.';
storiesOf('Molecules', module).addWithChapters('Popover', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(PopoverVanilla, _extends({}, hiddenPopover, {
          className: "hide-default-sample " + hiddenPopover.className
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Popover Variations',
    sections: [{
      title: 'By default Visible variation',
      sectionFn: function sectionFn() {
        return React.createElement(Popover, defaultVisiblePopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }, {
      title: 'By default Invisible variation',
      sectionFn: function sectionFn() {
        return React.createElement(Popover, hiddenPopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }, {
      title: 'List Component as child variation',
      sectionFn: function sectionFn() {
        return React.createElement(Popover, ListPopover, React.createElement("div", null, React.createElement("p", null, "This text is a random text"), React.createElement(List, {
          ListType: "ol"
        }, React.createElement("li", null, "This is ordered list item, content of tab 1."), React.createElement("li", null, "This is ordered list item, content of tab 1.")), React.createElement("p", null, "This is another random text")));
      }
    }, {
      title: 'Optional close button variation',
      sectionFn: function sectionFn() {
        return React.createElement(Popover, noCloseBtnPopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }]
  }]
});