import _extends from "@babel/runtime/helpers/esm/extends";
import React from "react";
import { shallow, mount } from 'enzyme';
import { PopoverVanilla } from '../index';
var interactivePopover = {
  className: 'example',
  popOverHeader: 'This is a popover header text',
  trigger: React.createElement("button", {
    id: "popover-trigger"
  }, "Click to Open")
};
describe('<Popover /> Rendering', function () {
  var PopoverComponent;
  beforeEach(function () {
    PopoverComponent = shallow(React.createElement(PopoverVanilla, null, "Test"));
  });
  test('should render correctly', function () {
    expect(PopoverComponent).toMatchSnapshot();
  });
});
describe('Popover functional behavior', function () {
  var PopoverComponent;
  test('Should have Close Button By Default and can be closed', function () {
    PopoverComponent = mount(React.createElement(PopoverVanilla, _extends({}, interactivePopover, {
      isVisible: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__close').length).toEqual(1);
    PopoverComponent = mount(React.createElement(PopoverVanilla, _extends({}, interactivePopover, {
      hidePopoverCloseBtn: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__close').length).toEqual(0);
  });
  test('Should open By Default when isVisible set to true', function () {
    PopoverComponent = mount(React.createElement(PopoverVanilla, _extends({}, interactivePopover, {
      isVisible: true
    }), "Test"));
    expect(PopoverComponent.find('.popover__header').length).toEqual(1);
  });
  test('Should open and close on Trigger and X button click', function () {
    PopoverComponent = mount(React.createElement("div", null, React.createElement("p", {
      className: "test"
    }, "Test Content"), React.createElement(PopoverVanilla, interactivePopover, "Test"))); // Test Default Open through trigger

    PopoverComponent.find('#popover-trigger').simulate('click');
    expect(PopoverComponent.find('.popover__header').length).toEqual(1); // Test Close Popover when clicking outside through trigger the popover
    // Test Close through X button

    PopoverComponent.find('.popover__close').simulate('click');
    expect(PopoverComponent.find('.popover__header').length).toEqual(0);
  });
});