import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";

/**
 *
 * Tab
 *
 */
import React from 'react';
import styled from 'styled-components';
import styles from './Tab.style';
import Anchor from '../../../atoms/Anchor';

var Tab = function Tab(_ref) {
  var children = _ref.children,
      className = _ref.className,
      tabId = _ref.tabId,
      index = _ref.index,
      isSelected = _ref.isSelected,
      _onClick = _ref.onClick,
      _onKeyDown = _ref.onKeyDown,
      others = _objectWithoutPropertiesLoose(_ref, ["children", "className", "tabId", "index", "isSelected", "onClick", "onKeyDown"]);

  return React.createElement("li", _extends({
    className: className,
    role: "tab",
    "aria-controls": tabId,
    "aria-selected": isSelected,
    id: "tab_" + index,
    onClick: function onClick(e) {
      return _onClick(e, index);
    },
    onKeyDown: function onKeyDown(e) {
      return _onKeyDown(e);
    },
    tabIndex: isSelected ? 0 : -1
  }, others), React.createElement(Anchor, {
    noLink: true,
    to: "#" + tabId
  }, children));
};

Tab.defaultProps = {
  className: '',
  inheritedStyles: ''
};
export default styled(Tab).withConfig({
  displayName: "Tab",
  componentId: "ddcdtl-0"
})(["", ";"], styles);
export { Tab as TabVanilla };