import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { defaultActiveTab, defaultNonActiveTab } from './Tab.mock';
import { inlineUnorderedList } from '../../List/List.mock'; // Import Styled Component to showcase variations

import Tab, { TabVanilla } from '.'; // To be used as wrapper Tab component as it returns plain <li></li>

import List from '../../List'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules/Tabs', module).addWithChapters('Tab', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(TabVanilla, _extends({}, defaultActiveTab, {
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Tab Variations',
    sections: [{
      title: 'Default Tabs',
      sectionFn: function sectionFn() {
        return React.createElement(List, inlineUnorderedList, React.createElement(Tab, defaultActiveTab, "Tab 1"), React.createElement(Tab, defaultNonActiveTab, "Tab 2"));
      }
    }]
  }]
});