import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";

/**
 *
 * TabPanel
 *
 */
import React from 'react';
import styled from 'styled-components';
import styles from './TabPanel.style';

var TabPanel = function TabPanel(_ref) {
  var children = _ref.children,
      className = _ref.className,
      index = _ref.index,
      isSelected = _ref.isSelected,
      tabId = _ref.tabId,
      others = _objectWithoutPropertiesLoose(_ref, ["children", "className", "index", "isSelected", "tabId"]);

  return React.createElement("div", _extends({
    id: tabId,
    className: className,
    role: "tabpanel",
    "aria-expanded": isSelected,
    "aria-hidden": !isSelected,
    "aria-labelledby": "tab_" + index,
    hidden: !isSelected
  }, others), children);
};

TabPanel.defaultProps = {
  className: '',
  inheritedStyles: ''
};
export default styled(TabPanel).withConfig({
  displayName: "TabPanel",
  componentId: "sc-17k1o9v-0"
})(["", ";"], styles);
export { TabPanel as TabPanelVanilla };