import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react'; // import { action } from '@storybook/addon-actions';

import { hiddenPanelConfig, selectedPanelConfig } from './TabPanel.mock'; // Import Styled Component to showcase variations

import TabPanel, { TabPanelVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules/Tabs', module).addWithChapters('TabPanel', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(TabPanelVanilla, _extends({}, hiddenPanelConfig, {
          className: "hide-default-sample"
        }), "Tab panel content.");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary TabPanel Variations',
    sections: [{
      title: 'Selected panel',
      sectionFn: function sectionFn() {
        return React.createElement(TabPanel, selectedPanelConfig, "Tab panel content.");
      }
    }]
  }]
});