import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { storiesOf } from '@storybook/react';
import { defaultTabs, verticalTabs } from './Tabs.mock'; // Import Styled Component to showcase variations

import Tabs, { TabsVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules/Tabs', module).addWithChapters('Tabs', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(TabsVanilla, _extends({}, defaultTabs, {
          className: "hide-default-sample " + defaultTabs.className
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Tabs Variations',
    sections: [{
      title: 'Horizontal Tabs',
      sectionFn: function sectionFn() {
        return React.createElement(Tabs, defaultTabs);
      }
    }, {
      title: 'Vertical Tabs',
      sectionFn: function sectionFn() {
        return React.createElement(Tabs, verticalTabs);
      }
    }]
  }]
});