import _extends from "@babel/runtime/helpers/esm/extends";
import React from "react";
import { shallow, mount } from 'enzyme';
import { defaultTabs } from '../Tabs.mock';
import Tabs from '../index';
describe('<Tabs />', function () {
  var TabsComponent = '';
  beforeEach(function () {
    TabsComponent = shallow(React.createElement(Tabs, defaultTabs));
  });
  test('should render correctly', function () {
    expect(TabsComponent).toMatchSnapshot();
  });
});
describe('<Tabs /> functional behavior', function () {
  var TabsComponent = '';
  var onChange = jest.fn();
  beforeEach(function () {
    TabsComponent = mount(React.createElement(Tabs, _extends({}, defaultTabs, {
      onTabChange: onChange
    })));
  });
  test('should have minimum dom structure for the tests below', function () {
    expect(TabsComponent.find('ul[role="tablist"] li').length).toEqual(2);
    expect(TabsComponent.find('[role="tabpanel"]').length).toEqual(2);
  });
  test('should change the tab panel and execute callback on closed tab click', function () {
    TabsComponent.find('#tab_1').simulate('click');
    expect(onChange).toBeCalledWith(1);
  });
});