import _typeof from "@babel/runtime/helpers/esm/typeof";
export var createUrlSearchParams = function createUrlSearchParams(query) {
  if (query === void 0) {
    query = {};
  }

  var queryParams = [];
  var keys = Object.keys(query);

  for (var i = 0, l = keys.length; i < l; i += 1) {
    queryParams.push(keys[i] + "=" + query[keys[i]]);
  }

  return queryParams.join('&');
};
export var buildUrl = function buildUrl(options) {
  if (_typeof(options) === 'object') {
    var pathname = options.pathname,
        query = options.query;
    var url = pathname;

    if (_typeof(query) === 'object') {
      url += "?" + createUrlSearchParams(query);
    }

    return url;
  }

  return options;
};