"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _colors = _interopRequireDefault(require("./colors"));

var _fonts = _interopRequireDefault(require("./fonts"));

var _zIndex = _interopRequireDefault(require("./zIndex"));

var _dimensions = _interopRequireDefault(require("./dimensions"));

var _elements = require("./elements");

var theme = {
  brandPrimaryColor: _colors.default.BRAND_PRIMARY,
  textColorPrimary: _colors.default.TEXT_PRIMARY,
  textColorSecondary: _colors.default.TEXT_ALTERNATE,
  textColorSecondaryLight: _colors.default.TEXT_ALTERNATE_LIGHT,
  textColorPlaceholder: _colors.default.TEXT_LIGHT,
  textColorBrandPrimary: _colors.default.BRAND_PRIMARY,
  textColorError: _colors.default.ERROR,
  textColorSuccess: _colors.default.SUCCESS,
  backgroundColorPrimary: _colors.default.BG_PRIMARY,
  backgroundColorSecondary: _colors.default.BG_SECONDARY,
  borderColorBoldest: _colors.default.ERROR,
  borderColorSecondary: _colors.default.BORDER_SECONDARY,
  colorOutline: _colors.default.OUTLINE,
  backgroundColorSuccess: _colors.default.SUCCESS,
  containerShadowPrimary: _colors.default.CONTAINER_SHADOW_PRIMARY,
  fontFamilyDefault: _fonts.default.FALLBACK_FONT,
  fontFamilyPrimary: _fonts.default.PRIMARY_FONT,
  fontFamilySecondary: _fonts.default.SECONDARY_FONT,
  fontFamilyIcon: _fonts.default.ICON_FONT,
  fontSizeBase: _fonts.default.BASE_FONT_SIZE,
  fontSizeDefault: _fonts.default.DEFAULT_FONT_SIZE,
  fontSizeHighlight: _fonts.default.HIGHLIGHT_FONT_SIZE,
  fontSizeButtonPrimary: _fonts.default.PRIMARY_FONT_SIZE_BUTTON,
  fontSizeButtonSecondary: _fonts.default.SECONDARY_FONT_SIZE_BUTTON,
  fontNormal: _fonts.default.FONT_NORMAL,
  fontBook: _fonts.default.FONT_BOOK,
  fontMedium: _fonts.default.FONT_MEDIUM,
  fontSemiBold: _fonts.default.FONT_SEMI_BOLD,
  fontBold: _fonts.default.FONT_BOLD,
  letterSpacing: _fonts.default.LETTER_SPACING,
  lineHeightBase: _fonts.default.BASE_LINE_HEIGHT,
  maxWidthPageContent: _dimensions.default.PAGE_CONTENT_MAX_WIDTH
};
var themes = (0, _extends2.default)({
  zIndex: _zIndex.default
}, _elements.field, {}, _elements.cta, {}, theme);
var _default = themes;
exports.default = _default;
module.exports = exports["default"];