import Theme from './theme';
export default "\n* {\n  box-sizing: border-box;\n}\n\nbody {\n  font-family: " + Theme.fontFamilyDefault + ";\n  font-size: " + Theme.fontSizeBase + ";\n  font-weight: " + Theme.fontNormal + ";\n  letter-spacing: " + Theme.letterSpacing + "\n  padding-top: " + Theme.minHeightHeaderMobile + ";\n  -webkit-tap-highlight-color:rgba(0,0,0,0);\n}\n\n/**\n *  Global Float Classes\n */\n.right {\n  float: right;\n}\n\n/**\n *  Global Align Classes\n */\n.center-align{\n  text-align: center;\n}\n\n/**\n *  Global Gutter Classes\n */\n.margin-0 {\n  margin: 0;\n}\n\n.no-gutters {\n  margin: 0;\n  padding: 0;\n}\n\n/**\n *  Global Input/CTA Classes\n */\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  border-radius: 0;\n  font-family: " + Theme.fontFamilyPrimary + ";\n  letter-spacing: inherit;\n  -webkit-appearance: none;\n}\n\ninput[type=text]::-ms-clear {\n  display: none;\n}\n\n@media (max-width: 767px){\n  input,\n  textarea{\n    font-size: 16px;\n  }\n}\n\n/**\n *  Global Visibility Classes\n */\n.is-hidden {\n  display: none !important;\n}\n\n.is-visible {\n  display: block;\n}\n\n.visually-hidden {\n  position: absolute;\n  white-space: nowrap;\n  width: 1px;\n  height: 1px;\n  overflow: hidden;\n  border: 0;\n  padding: 0;\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n}\n\n.sr-only {\n  position: absolute !important;\n  clip: rect(1px, 1px, 1px, 1px);\n  top: auto;\n  width: auto;\n  height: 20px;\n  overflow: hidden;\n  &.no-focusable{\n    width:1px;\n    visibility:hidden;\n    &:focus{\n      outline:none;\n      border:none;\n    }\n  }\n}\n";